---
title: CSSStyleValue.parse()
slug: Web/API/CSSStyleValue/parse
tags:
  - API
  - CSS Typed Object Model API
  - CSSStyleValue
  - Experimental
  - Houdini
  - Method
  - Reference
  - parse()
---
<p>{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>parse()</code></strong> method of the {{domxref("CSSStyleValue")}} interface sets a specific CSS property to the specified values and returns the first value as a {{domxref('CSSStyleValue')}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">CSSStyleValue.parse(<em>property</em>, <em>cssText</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>property</dt>
 <dd>A CSS property to set.</dd>
 <dt>cssText</dt>
 <dd>A comma-separated string containing one or more values to apply to the provided property.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A <code>CSSStyleValue</code> object containing the first supplied value.</p>

<h2 id="Example">Example</h2>

<p>The code below parses a set of declarations for the <code>transform</code> property. The second code block shows the structure of the returned object as it would be rendered in a developer tools console.</p>

<pre class="brush: js">const css = CSSStyleValue.parse(
    'transform', 'translate3d(10px,10px,0) scale(0.5)');</pre>

<pre class="brush: css">CSSTransformValue {0: CSSTranslate, 1: CSSScale, length: 2, is2D: false}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssstylevalue-parse','parse()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleValue.parse")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("CSSStyleValue.parseAll()")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
